- Home
- API Enriched
- Tenant And Identity
- web
- Close a customer support ticket in managed tenant.
Close a customer support ticket in managed tenant.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/managed_client/customer_supports/example/close';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"tp_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/managed_client/customer_supports/example/close \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "tp_id": "example" }'Closes selected customer support ticket (if not already closed). You can always attempt to reopen if needed to be.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Third party ID ID assigned to this ticket by our support provider.
Request Bodyrequired
Section titled “Request Bodyrequired”Input request to fetch customer_support ticket in child / managed tenant.
object
ID assigned to this ticket by our support provider.
Examplegenerated
{ "tp_id": "example"}Responses
Section titled “Responses”A successful response.
Gives details of result of closing a customer support ticket.
object
Example
{ "err": "EUNKNOWN"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example